Create a new admin or staff account
POST
/admin/v1/users
const url = 'https://your-store.example.com/admin/v1/users';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"email":"hello@example.com","name":"example","role":"admin","password":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://your-store.example.com/admin/v1/users \ --header 'Content-Type: application/json' \ --data '{ "email": "hello@example.com", "name": "example", "role": "admin", "password": "example" }'Request Body required
Section titled “Request Body required ” Media type application/json
object
email
required
string format: email
name
required
string
role
required
string
password
required
string